/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：业务组件表_历史
*
* createdate:  2022-10-26 17:52:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_历史")
public class HisBusComponentInfoQueryDto extends TenantPartition implements Serializable
{
    /**
     * 组件id<br>
     */
    @ApiModelProperty("组件id")
    private String comId;

    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    private String projectId;

    /**
     * 组件版本<br>
     */
    @ApiModelProperty("组件版本")
    private String comVersion;

    private String tenantId;
    public String getComId() {
        return comId;
    }

    public void setComId(String comId) {
        this.comId = comId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @Override
    public String getTenantId() {
        return tenantId;
    }

    @Override
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getComVersion() {
        return comVersion;
    }

    public void setComVersion(String comVersion) {
        this.comVersion = comVersion;
    }
}